# 守护进行模式启动
daemonize yes

# 设置数据库数量，默认数据库为0
databases 16

# 实例密码,群集中主从认证使用
masterauth video123456.

# 认证密码
requirepass video123456.

# 绑定地址，需要修改
bind 10.10.0.236

# 绑定端口，需要修改
port 6379

# pid文件存储位置，文件名需要修改
pidfile /data/midsoftware/cluster-redis6379/pid/redis_6379.pid

# log文件存储位置，文件名需要修改
logfile /data/midsoftware/cluster-redis6379/logs/redis_6379.log

# RDB快照备份文件名，文件名需要修改
dbfilename redis_6379.rdb

# 本地数据库存储目录，需要修改
dir /data/midsoftware/cluster-redis6379

#持久化相关
#AOF(Append Only File) 持久化
appendonly yes

#everysec表示每秒执行一次fsync，可能会导致丢失这1s数据
appendfsync everysec

#如果no-appendfsync-on-rewrite=yes ,不写入 aof 文件只写入缓存
#用户请求不会阻塞，但是在这段时间如果宕机会丢失这段时间的缓存数据。（降低数据安全性，提高性能）
#如果no-appendfsync-on-rewrite=no, 还是会把数据往磁盘里刷
#但是遇到重写操作，可能会发生阻塞。（数据安全，但是性能降低）

no-appendfsync-on-rewrite no
# aof自动重写配置。当目前aof文件大小超过上一次重写
#的aof文件大小的百分之多少进行重写，即当aof文件增长
#到一定大小的时候Redis能够调用bgrewriteaof对日志文
#件进行重写。当前AOF文件大小是上次日志重写得到AOF文件
#大小的二倍（设置为100）时，自动启动新的日志重写过程。

auto-aof-rewrite-percentage 100
## 设置允许重写的最小aof文件大小，避免了达到约定百分比但尺寸仍然很小的情况还要重写

auto-aof-rewrite-min-size 64mb


# 集群相关配置
# 是否以集群模式启动
cluster-enabled yes

# 集群节点回应最长时间，超过该时间被认为下线
cluster-node-timeout 15000

# 生成的集群节点配置文件名，文件名需要修改
cluster-config-file nodes_236_6379.conf
